SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Model'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-View'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Controller'!
SystemOrganization addCategory: #'OpenVolunteerMarketPlace-Tests'!

Object subclass: #Database
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Controller'!

Object subclass: #OVMPPerson
	instanceVariableNames: 'username password email name birthday skills'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:11'!
addSkill: aSkill
	skills add: aSkill.! !

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:12'!
addSkills: aSkillArray
	 skills addAll: aSkillArray.! !

!OVMPPerson methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 13:11'!
skills
	^ skills.! !

Object subclass: #OVMPProject
	instanceVariableNames: 'name startDate tasks coordinator'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:14'!
addTask: aTask
	tasks add: aTask.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:15'!
addTasks: aTaskArray
	tasks addAll: aTaskArray.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
name
	^ name.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
name: aName
	name := aName.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:13'!
startDate
	^ startDate.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:12'!
startDate: aDate
	startDate := aDate.! !

!OVMPProject methodsFor: 'accessing' stamp: 'ThiagoFurtado 9/26/2012 11:13'!
tasks
	^ tasks.! !

Object subclass: #OVMPProjectController
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Controller'!

Object subclass: #OVMPTask
	instanceVariableNames: 'name volunteers requiredSkills'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

Object subclass: #OVMPVolunteer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-Model'!

WAComponent subclass: #OVMPProjectListView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

WAComponent subclass: #OVMPProjectView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

WAComponent subclass: #OVMPView
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'OpenVolunteerMarketPlace-View'!

!OVMPView class methodsFor: 'class initialization' stamp: 'ThiagoFurtado 9/22/2012 14:31'!
initialize

	WAAdmin register: self asApplicationAt: 'openvolunteermarketplace' .! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 14:25'!
renderContentOn: html

	html div 
		id: 'main';
		with: [ self renderHeaderOn: html ].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 21:26'!
renderHeaderOn: html

	html header id: 'header'; 
		with: [ 
			
			  self renderLoginForm: html.
			
			 ].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 23:24'!
renderLoginForm: html

	html div 
		id: 'in-header';
		with: [
			html heading 
				level: 1;
				with: [
					html anchor url: 'http://localhost:8080/openvolunteermarketplace'; with: 'Open Volunteer MarketPlace'.
					].
			html div
				id: 'login';
				with: [
					html form 
					id: 'formlogin';
					with: [
						html fieldSet
							class: 'up';
							with: [
								html label for: 'email'; with: 'email/username'. html textInput id: 'email'; type: 'text'.
								html label for: 'pwd'; with: 'password'. html textInput id: 'pwd';type: 'password'.
								html submitButton id: 'enter'; class: 'btn'; with: 'Enter'.
								]
						 ].
			].
		].! !

!OVMPView methodsFor: 'rendering' stamp: 'ThiagoFurtado 9/22/2012 23:16'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: 'Open Volunteer MarketPlace'.
	anHtmlRoot stylesheet url: 'http://localhost/openvolunteermarketplace/styles/style.css'! !
OVMPView initialize!
